View Issue Details

IDProjectCategoryView StatusLast Update
12755Bug reports[All Projects] Survey editingpublic2018-05-25 11:30
Reportermaikel Assigned Tomarkusfluer  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version2.7x.x 
Target VersionFixed in Version3.7.x 
Summary12755: Status 403 Denied on saving survey
Description

I can create a survey with one or more paragraphs as welcome message. But when I try to edit the welcome message, it crashes unless I have only one <p> element.

Steps To Reproduce

Create a survey and edit the general text. Enter a welcome message with at least one paragraph, for example:

<p>one</p>
<p>two</p>

Click "Save". It will post your data to index.php/admin/database/index/updatesurveylocalesettings.

Additional Information

The reply I get:

Accept-Ranges: bytes
Alt-Svc: quic=&quot;:443&quot;; ma=2592000; v=&quot;35,37,38,39&quot;
Cache-Control: private, no-cache, no-store, must-revalidate, max-age=0
Content-Length: 609
Content-Type: text/html
Date: Sun, 08 Oct 2017 01:30:39 GMT
Pragma: no-cache
Server: LiteSpeed
X-Firefox-Spdy: h2

&lt;!DOCTYPE html>
&lt;html style=&quot;height:100%&quot;>
&lt;head>&lt;title> 403 Forbidden
&lt;/title>&lt;/head>
&lt;body style=&quot;color: #444; margin:0;font: normal 14px/20px Arial, Helvetica, sans-serif; height:100%; background-color: #fff;&quot;>
&lt;div style=&quot;height:auto; min-height:100%; &quot;>     &lt;div style=&quot;text-align: center; width:800px; margin-left: -400px; position:absolute; top: 30%; left:50%;&quot;>
        &lt;h1 style=&quot;margin:0; font-size:150px; line-height:150px; font-weight:bold;&quot;>403&lt;/h1>
&lt;h2 style=&quot;margin-top:20px;font-size: 30px;&quot;>Forbidden
&lt;/h2>
<p>Access to this resource on the server is denied!</p>
&lt;/div>&lt;/div>&lt;/body>&lt;/html>

I have not been able to see any PHP error log. I'm on a shared host. LimeSurvey has been installed via cPanel.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.71.1+170927
I will donate to the project if issue is resolvedNo
BrowserFirefox 52.4
Database & DB-VersionMysql
Server OS (if known)Linux
Webserver software & version (if known)LiteSpeed
PHP Version5.5.38

Activities

markusfluer

markusfluer

2018-04-27 12:53

administrator   ~47553

This issue should be resolved in the current version, please update.

markusfluer

markusfluer

2018-04-27 12:53

administrator   ~47554

This issue should be resolved in the current version, please update.

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47835

Version 3.8.1+180524 released

Issue History

Date Modified Username Field Change
2017-10-08 03:36 maikel New Issue
2018-04-27 12:53 markusfluer Assigned To => markusfluer
2018-04-27 12:53 markusfluer Status new => resolved
2018-04-27 12:53 markusfluer Resolution open => fixed
2018-04-27 12:53 markusfluer Fixed in Version => 3.7.x
2018-04-27 12:53 markusfluer Note Added: 47553
2018-04-27 12:53 markusfluer Note Added: 47554
2018-05-25 11:30 c_schmitz Note Added: 47835
2018-05-25 11:30 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing